#
# spec file for package 844-ksc-pcf (Version 19990207)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         844-ksc-pcf
Copyright:    distributable
Group:        Extensions/Korean
Autoreqprov:  on
Summary:      Korean 8x4x4 johab fonts
Version:      19990207
Release:      111
Source0:      844-ksc-pcf-19990207.1.tar.gz
Source1:      README.844-ksc.fonts.TXT
Prereq:       /usr/X11R6/bin/mkfontdir
BuildArch:    noarch
BuildRoot:    %{_tmppath}/%{name}-root

%description
Korean 8x4x4 johab fonts

SuSE series: han

%prep
%setup -q -n 844-ksc-pcf-19990207.1
cp $RPM_SOURCE_DIR/README.844-ksc.fonts.TXT .
   

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
############################################################################
# INSTALL FONT..............................................................
############################################################################
mkdir -p %{buildroot}/usr/X11R6/lib/X11/fonts/misc
install -m 644 *.gz   %{buildroot}/usr/X11R6/lib/X11/fonts/misc

%clean
rm -rf %{buildroot}

%post 
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
FDIR="usr/X11R6/lib/X11/fonts/misc"
echo "Updating X11 font directory $FDIR ..."
if [ -x usr/X11R6/bin/mkfontdir ] ; then
    usr/X11R6/bin/mkfontdir $FDIR
fi

%postun 
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
FDIR="usr/X11R6/lib/X11/fonts/misc"
echo "Updating X11 font directory $FDIR ..."
if [ -x usr/X11R6/bin/mkfontdir ] ; then
    usr/X11R6/bin/mkfontdir $FDIR
fi

%files
%doc README*
%attr(644,root,root) /usr/X11R6/lib/X11/fonts/misc/*

%changelog -n 844-ksc-pcf
* Wed Jan 10 2001 - violiet@susekorea.net
- NEW 844-ksc-pcf package version to 19990207.
